> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1business domains



## OpenAPI

````yaml /api-reference/openapi.json post /v1/business-domains/{id}
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/business-domains/{id}:
    post:
      tags:
        - BusinessDomains
      operationId: RequestValidationAsync
      parameters:
        - name: domain
          in: path
          required: true
          schema:
            type: string
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomainsSBDomainResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomainsSBDomainResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomainsSBDomainResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomainsSBDomainResponse'
components:
  schemas:
    DomainsSBDomainResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        domain:
          type: string
          nullable: true
        createdAt:
          type: string
          nullable: true
        validatedAt:
          type: string
          nullable: true
        isVerified:
          type: boolean
      additionalProperties: false

````